> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a lead by ID

GET https://api.propexo.com/v1/leads/{id}

Get a lead by ID

Reference: https://docs.propexo.com/api-reference/mri/leads/get-a-lead-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Lead, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Lead

- `id` (string, required) — The Propexo unique identifier for the lead
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, required) — The date the record first entered the integration vendorThis field will always be null for MRI
- `x_guestcard_id` (any, required) — The external ID of the guestcard from the integration vendorThis field will always be null for MRI
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_leasing_agent_id` (any, required) — The external ID of the leasing agent from the integration vendorThis field will always be null for MRI
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the lead is interested in | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `x_updated_at` (any, required) — The date the record was last updated in the integration vendorThis field will always be null for MRI
- `x_lead_source_id` (any, required) — The external ID of the lead source from the integration vendorThis field will always be null for MRI
- `address_1` (string, required, nullable) — The first address line associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `address_2` (string, required, nullable) — The second address line associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `city` (string, required, nullable) — The city associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `country` (any, required) — The country associated with the leadThis field will always be null for MRI
- `custom_data` (LeadCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `desired_amenities` (any, required) — The desired amenities associated with the leadThis field will always be null for MRI
- `desired_floor_plan_id` (any, required) — The external ID of desired floor plan associated with the leadThis field will always be null for MRI
- `desired_floor_plan_name` (any, required) — The desired floor plan nameThis field will always be null for MRI
- `desired_lease_term_in_months` (string, required, nullable) — The desired lease termThis comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `desired_max_rent_in_cents` (any, required) — The desired maximum rentThis field will always be null for MRI
- `desired_max_square_ft` (any, required) — The desired maximum square feetThis field will always be null for MRI
- `desired_min_rent_in_cents` (any, required) — The desired minimum rentThis field will always be null for MRI
- `desired_min_square_ft` (any, required) — The desired minimum square feetThis field will always be null for MRI
- `desired_num_bathrooms` (any, required) — The desired number of bathroomsUse desired\_num\_bathrooms\_full and desired\_num\_bathrooms\_half instead.This field will always be null for MRI
- `desired_num_bedrooms` (integer, required, nullable) — The desired number of bedroomsThis comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `desired_unit_number` (any, required) — The desired unit numberThis field will always be null for MRI
- `desired_unit_type` (any, required) — The desired unit typeThis field will always be null for MRI
- `email_1` (string, required, nullable) — The primary email address associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `email_2` (any, required) — The secondary email address associated with the leadThis field will always be null for MRI
- `first_name` (string, required, nullable) — The first name associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `ils` (any, required) — The name of the Internet listing serviceThis field will always be null for MRI
- `last_name` (string, required, nullable) — The last name associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `lead_source` (any, required) — The lead sourceThis field will always be null for MRI
- `leasing_agent` (any, required) — The name of the leasing agentThis field will always be null for MRI
- `middle_name` (string, required, nullable) — The middle name associated with the leadMRI only gives the middle initial. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `notes` (string, required, nullable) — Notes associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `number_of_occupants` (integer, required, nullable) — The number of occupantsThis comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `pets` (list of LeadPetsItems, required) — The pets associated with the lead
- `phone_1_type` (string, required, nullable) — Type of the primary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `phone_1` (string, required, nullable) — Primary phone number associated with the leadMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `phone_2_type` (string, required, nullable) — Type of the secondary phone number | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `phone_2` (string, required, nullable) — Secondary phone number associated with the leadMRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `state` (string, required, nullable) — The state associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `status` (any, required) — The raw status associated with the leadThis field will always be null for MRI
- `target_move_in_date` (string, required, nullable) — The target move in dateThis comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support. | Method | | -------------------------------------------------------------------------- | | /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_ProspectsApplicantsAndResidents |
- `zip` (string, required, nullable) — The zip code associated with the lead | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (any, required) — The Propexo unique identifier for the lead sourceThis field will always be null for MRI
- `unit_id_preferred` (any, required) — The Propexo unique identifiers for the units that the lead is interested inThis field will always be null for MRI
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `MRI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `screenings` (list of LeadScreeningsItems, required) — This field is not currently hydrated for MRI
- `x_unit_id` (any, required, deprecated) — DEPRECATED: Use x\_unit\_id\_preferred insteadThis field will always be null for MRI
- `pet_details` (any, required, deprecated) — DEPRECATED: Use the pets array insteadThis field will always be null for MRI

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### LeadCustomData

### LeadPetsItems

- `id` (string, required) — The Propexo unique identifier for the lead pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `age_in_years` (any, required) — The age in years of the lead petThis field will always be null for MRI
- `breed` (any, required) — The breed of the lead petThis field will always be null for MRI
- `color` (any, required) — The color of the lead petThis field will always be null for MRI
- `gender_raw` (any, required) — The raw value for the gender of the lead petThis field will always be null for MRI
- `is_fixed` (any, required) — Whether the lead pet is fixedThis field will always be null for MRI
- `is_service_animal` (any, required) — Whether the lead pet is a service animalThis field will always be null for MRI
- `name` (any, required) — The name associated with the lead petThis field will always be null for MRI
- `notes` (any, required) — Notes associated with the lead petThis field will always be null for MRI
- `type` (string, required, nullable) — The type associated with the lead pet | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents |
- `weight_in_pounds` (any, required) — The weight in pounds of the lead petThis field will always be null for MRI
- `custom_data` (LeadPetsItemsCustomData, required, nullable)

### LeadScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for MRI
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for MRI

### LeadPetsItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_created_at": null,
    "x_guestcard_id": null,
    "x_id": "000000123",
    "x_leasing_agent_id": null,
    "x_property_id": "123",
    "x_unit_id_preferred": [
      "04"
    ],
    "x_updated_at": null,
    "x_lead_source_id": null,
    "address_1": "123 Round Street",
    "address_2": "Suite 827",
    "city": "Newark",
    "country": null,
    "custom_data": {},
    "date_of_birth": "2000-01-05T00:00:00Z",
    "desired_amenities": null,
    "desired_floor_plan_id": null,
    "desired_floor_plan_name": null,
    "desired_lease_term_in_months": "12",
    "desired_max_rent_in_cents": null,
    "desired_max_square_ft": null,
    "desired_min_rent_in_cents": null,
    "desired_min_square_ft": null,
    "desired_num_bathrooms": null,
    "desired_num_bedrooms": 2,
    "desired_unit_number": null,
    "desired_unit_type": null,
    "email_1": "person@example.com",
    "email_2": null,
    "first_name": "Jane",
    "ils": null,
    "last_name": "Doe",
    "lead_source": null,
    "leasing_agent": null,
    "middle_name": "J",
    "notes": "Visit-N",
    "number_of_occupants": 2,
    "pets": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "89",
        "age_in_years": null,
        "breed": null,
        "color": null,
        "gender_raw": null,
        "is_fixed": null,
        "is_service_animal": null,
        "name": null,
        "notes": null,
        "type": "D",
        "weight_in_pounds": null,
        "custom_data": {}
      }
    ],
    "phone_1_type": "MOBILE",
    "phone_1": "5555555555",
    "phone_2_type": "HOME",
    "phone_2": "5555555554",
    "state": "NJ",
    "status": null,
    "target_move_in_date": "2025-06-30T00:00:00Z",
    "zip": "17892",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "lead_source_id": null,
    "unit_id_preferred": null,
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "MRI",
    "screenings": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "string",
        "status_raw": "string",
        "screening_date": "string"
      }
    ],
    "x_unit_id": null,
    "pet_details": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leads/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leads/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```